package example.jdbc_rmi.api;

import java.io.Serializable;

// Represents the result of a user login operation.
public class LoginResult implements Serializable {
	private static final long serialVersionUID = -865672410310384712L;

	public enum Outcome { SUCCESSFUL, INVALID_CREDENTIALS, INTERNAL_ERROR }

    private final Outcome outcome;
    private final String message;

    public LoginResult(Outcome outcome, String message) {
        this.outcome = outcome;
        this.message = message;
    }

    public Outcome getOutcome() {
        return outcome;
    }

    public String getMessage() {
        return message;
    }
}
