
package entities;

import java.io.Serializable;
import javax.persistence.*;

@Entity
public class ParkingLot implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    private int id;

    private String location;

    // Owning side of a one-to-one relationship
    @OneToOne
    // Do not add a separate join column; map the foreign key to the primary key
    @MapsId("id")
    private Employee employee;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Employee getEmployee() {
        return employee;
    }

    public void setEmployee(Employee employee) {
        this.employee = employee;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) id;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ParkingLot)) {
            return false;
        }
        ParkingLot other = (ParkingLot) object;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entities.ParkingLot[ id=" + id + ", location=" + location + " ]";
    }
}
