
import java.io.Serializable;

// A special result type to store either an invocation result or an exception.
public class InvocationResult implements Serializable {
	private static final long serialVersionUID = -6748027004200489591L;

	private Object result = null;
    private Exception exception = null;

    // Overloading cannot be used here (Object <-- Exception inheritance)
    InvocationResult(Object object) {
        if(object instanceof Exception) {
            this.exception = (Exception)object;
        } else {
            this.result = object;
        }
    }

    boolean isException() {
        return exception != null;
    }

    Object getResult() {
        return result;
    }

    Exception getException() {
        return exception;
    }
}
