package objects;
import java.io.Serializable;

public class FontSettings implements Serializable {
	private static final long serialVersionUID = 7757376227637315235L;

	// The access modifier does not affects the serialization
	public int fontSize;
	protected String fontFamily;
	private boolean isBold;
	
	// A no-arg constructor is not needed until this class is not a
	// non-serializable parent of a serializable class, or until this
	// class implements the java.io.Externalizable interface.
	public FontSettings(String family) {
		fontFamily = family;
	}
	
	public String getFontFamily() {
		return fontFamily;
	}
	
	// The getters and setters are not invoked by the serialization
	public boolean isBold() {
		System.out.println("FontSettings.isBold() invoked");
		return isBold;
	}
	
	public void setBold(boolean b) {
		System.out.println("FontSettings.setBold() invoked");
		isBold = b;
	}
	
	@Override
	public String toString() {
		// you can construct longer strings by concatenation,
		// which is a bit faster...
//		return "FontSettings { fontSize = " + fontSize
//			+ ", fontFamily = " + fontFamily
//			+ ", isBold = " + isBold + " }";

		// ... but often it's more convenient this way
		return String.format("FontSettings {fontSize = %s, fontFamily = %s, isBold = %b}",
                                     fontSize, fontFamily, isBold); 
	}
}
