package variants;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import objects.Settings;
import utils.SavePaths;
import utils.Util;

public class MainSaveAndRestoreSettingsMultipleV2 {
	public static void main(String... args) throws IOException, ClassNotFoundException {
		Settings s = new Settings();
		s.historySize = 20;
		
		saveV2(s);
		
		try (
			ObjectInputStream ois = Util.getInputStream(SavePaths.SETTINGS_PATH);
		) {
			System.out.println("Restored settings 1: " + ois.readObject());
			System.out.println("Restored settings 2: " + ois.readObject());
		}
	}

	private static void saveV2(Settings s) throws IOException {
		try (
			ObjectOutputStream oos = Util.getOutputStream(SavePaths.SETTINGS_PATH);
		) {
			oos.writeObject(s);
		
			// Reset the reference cache
			oos.reset();
		
			// The second write will serialize the value again this time
			s.historySize = 30;
			oos.writeObject(s);
		}
	}

}
