package variants;
import java.io.IOException;
import java.io.ObjectOutputStream;

import objects.FontSettings;
import objects.Settings;
import utils.SavePaths;
import utils.Util;

public class MainSaveSettings {
	public static void main(String... args) throws IOException {
		Settings settings = createSettingsObject();
		saveSettingsObject(settings);
	}

	// Serialize it into the stream
	private static void saveSettingsObject(Settings s) throws IOException {
		// Note: oos.close() is automatically invoked by try-with-resources 
		try (
			ObjectOutputStream oos = Util.getOutputStream(SavePaths.SETTINGS_PATH);
		) {
			oos.writeObject(s);
		}
	}

	// Just prepare a compound object
	private static Settings createSettingsObject() {
		Settings s = new Settings();

		s.historySize = 10;
		s.fontSettings = new FontSettings("Arial");
		s.fontSettings.fontSize = 42;

		// Note that we invoke the setter once explicitly
		s.fontSettings.setBold(true);

		return s;
	}
}
