import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import example.Calculator;


// Standalone client class for the calculator service.
public class Main {

	public static void main(String[] args) throws MalformedURLException {
		Calculator port = getPortV1();
		// Calculator port = getPortV2();
		
		// Call the service methods
		System.out.println(port.add(40, 2));
		System.out.println(port.sqrt(2));
	}

	// Version 1, general client, we have the interface
	private static Calculator getPortV1() throws MalformedURLException {
		URL url = new URL("http://localhost:8080/jaxrs-calc-service/CalculatorService?WSDL");
		QName qname = new QName("http://example/", "CalculatorService");
		Service service = Service.create(url, qname);
		Calculator port = service.getPort(Calculator.class);
		return port;
	}

	// Version 2, with wsimport (use --keep)
//	private static Calculator getPortV2() throws MalformedURLException {
//		CalculatorService service = new CalculatorService();
//		Calculator port = service.getCalculatorImplPort();
//	}
}
