package example;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

// This class shows the usage of some basic JAX-B annotations.
// With these we can control how to serialize the data from and into
// XML and JSON streams.
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class ComplexEntity {

	@XmlAttribute(name="identifier")
	private int id;
	
	@XmlElement(name="content")
	private String name;
	
	public ComplexEntity(int id, String name) {
		this.id = id;
		this.name = name;
	}

	public ComplexEntity() {
		//!!! IMPORTANT: the class must also have an argument-less constructor!
	}
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
}
