package example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

// A simple service to show how to return the response in various MIME types.
@Path("/other")
public class OtherService {

	@GET
	@Path("/xml-entity")
	@Produces(MediaType.TEXT_XML)
	public ComplexEntity getXmlEntity() {
		return new ComplexEntity(1, "Entity #1");
	}
	
	@GET
	@Path("/json-entity")
	@Produces(MediaType.APPLICATION_JSON)
	public ComplexEntity getJsonEntity() {
		return new ComplexEntity(2, "Entity #2");
	}
	
	@GET
	@Path("/general-entity")
	// The client can select from these supported response formats by sending
	// an `Accept: ` header. The response will be encoded in the format with
	// the highest quality factor. For more information, see:
	// http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html
	@Produces({ MediaType.TEXT_XML, MediaType.APPLICATION_JSON })
	public ComplexEntity getEntity() {
		return new ComplexEntity(3, "Entity #3");
	}
	
	@GET
	@Path("/xml-response")
	@Produces(MediaType.TEXT_XML)
	public Response getXmlResponse() {
		return Response.ok(new ComplexEntity(4, "Entity #4")).build();
	}
}
