package example;

// Interface for a stateful calculator service. The service must maintain an
// internal result storage and manipulate it when one of the first three methods
// is called. The result can be acquired by calling `getResult`.
public interface StatefulCalculator {

	void add(int amount);
	
	void sub(int amount);
	
	void sqrt() throws CalculatorException;
	
	int getResult();
	
}
