import example.stateless.Calculator;
import example.stateless.ValueHolder;

// Remember, replace $GLASSFISH by the directory of the Glassfish installation in the following.

// Running as a standalone client:
// java -cp .;$GLASSFISH/glassfish/lib/gf-client.jar;stateless-calculator-client-jndi.jar Main

// Running in an application client container:
// $GLASSFISH/glassfish/bin/appclient -cp .;stateless-calculator-client-jndi.jar  Main

// !!! Important: the stateless-calculator-interface.jar must be in the same directory as the client!
public class Main {
	public static void main(String[] args) {
		String jndiName = JndiUtils.makeJndiName(
				"stateless-calculator-application",
				"stateless-calculator-ejb",
				"calcBean",
				Calculator.class);

		System.out.println(jndiName);
		Calculator calculator = (Calculator)JndiUtils.getBeanByJndi(jndiName);
		
		// Call bean methods
		ValueHolder result = calculator.add(new ValueHolder(41), new ValueHolder(1));
		System.out.println("The sum of 41 and 1 is " + result.value);
		
		// Changing the value in the result will not have any effect in the
		// server, because it is passed by-copy.
		result.value = 2;
		
		// It is not sure this method will be called on the same
		// bean instance in the server as the previous.
		result = calculator.sqrt(result);
		System.out.println("The square root of 2 is " + result.value);
	}

}
