package example.tx;

import java.util.List;

import javax.ejb.Local;

import example.tx.exceptions.MessageException;

// This interface will be used as a local EJB interface
@Local
public interface Messages {

	// Which exception to throw
	public enum ErrorType {
		None, // throw no exception
		Runtime, // a runtime exception thrown
		Sys, // a system exception
		AppNonRollback, // application exception with rollback = false (default)
		AppRollback // application exception with rollback = true
	};

	public void add(String text, ErrorType errorType) throws MessageException;

	public List<String> getMessages();
}
